OpenJPA
  1. OpenJPA
  2. OPENJPA-1170

Upgrade to Bean Validation JSR-303 1.0 CR2 Spec API

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Won't Fix
    • Affects Version/s: 2.0.0-M2
    • Fix Version/s: 2.0.0-M3
    • Component/s: validation
    • Labels:
      None

      Description

      We are currently using the CR1 level of the API (geronimo-validation_1.0_spec-1.0-EA-SNAPSHOT) but a CR2 level (geronimo-validation_1.0_spec-1.0-EA2-SNAPSHOT) is now available.

      Note: The agimatec-validation 0.9.1-SNAPSHOT implementation we are using for openjpa-integration/validation tests still uses the CR1 level, so it will need to be upgraded first (or switch to the validation-ri-4.0.0.Beta1, which will require the TraversableResolver code to be implemented first.)

        Activity

        Hide
        Donald Woods added a comment -

        going straight to 1.0.CR3 and hibernate-validator-4.0.0.Beta2 instead....

        Show
        Donald Woods added a comment - going straight to 1.0.CR3 and hibernate-validator-4.0.0.Beta2 instead....

          People

          • Assignee:
            Donald Woods
            Reporter:
            Donald Woods
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Time Tracking

              Estimated:
              Original Estimate - 72h
              72h
              Remaining:
              Remaining Estimate - 72h
              72h
              Logged:
              Time Spent - Not Specified
              Not Specified

                Development